#include <bits/stdc++.h>
using namespace std;
long long t, n, m, k, a[1005];
int main() {
    cin >> t;
    for(int i=1; i<=t; i++) {
        cin >> n >> m >> k;

        for(int i=1; i<=k; i++) {
            a[i]=n/k;
            if(i<=n%k) {
                a[i]++;
            }
        }
        bool res=0;
        for(int i=1; i<=k; i++) {
            m-=a[i]*(a[i]+1)/2;
            if(m<=0) {
                cout << "Nie" << endl;
                res=1;
                continue;
            }
        }
        if(m>0 && !res) {
            cout << "Tak" << endl;
        }
    }
    return 0;
}